## org.apache.commons.collections
Class FunctorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.collections.FunctorException

All Implemented Interfaces:
  java.io.Serializable

    public class FunctorException

extends java.lang.RuntimeException

Runtime exception thrown from functors. If required, a root cause error can be wrapped within this one.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`FunctorException()` Constructs a new `FunctorException` without specified detail message.
`FunctorException(java.lang.String msg)` Constructs a new `FunctorException` with specified detail message.
`FunctorException(java.lang.String msg, java.lang.Throwable rootCause)` Constructs a new `FunctorException` with specified detail message and nested `Throwable` root cause.
`FunctorException(java.lang.Throwable rootCause)` Constructs a new `FunctorException` with specified nested `Throwable` root cause.

Method Summary
`java.lang.Throwable` `getCause()` Gets the cause of this throwable.
`void` `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` `printStackTrace(java.io.PrintStream out)` Prints the stack trace of this exception to the specified stream.
`void` `printStackTrace(java.io.PrintWriter out)` Prints the stack trace of this exception to the specified writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctorException

    public FunctorException()

  Constructs a new `FunctorException` without specified detail message.

### FunctorException

    public FunctorException(java.lang.String msg)

  Constructs a new `FunctorException` with specified detail message.

  Parameters:
    `msg` - the error message.

### FunctorException

    public FunctorException(java.lang.Throwable rootCause)

  Constructs a new `FunctorException` with specified nested `Throwable` root cause.

  Parameters:
    `rootCause` - the exception or error that caused this exception to be thrown.

### FunctorException

    public FunctorException(java.lang.String msg,
                            java.lang.Throwable rootCause)

  Constructs a new `FunctorException` with specified detail message and nested `Throwable` root cause.

  Parameters:
    `msg` - the error message.
    `rootCause` - the exception or error that caused this exception to be thrown.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Gets the cause of this throwable.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the cause of this throwable, or `null`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of this exception to the standard error stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Prints the stack trace of this exception to the specified stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `out` - the `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter out)

  Prints the stack trace of this exception to the specified writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `out` - the `PrintWriter` to use for output

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.